package eu.teraflow.automation.context;

import eu.teraflow.automation.device.Device;
import eu.teraflow.automation.device.model.DeviceEvent;
import eu.teraflow.automation.device.model.DeviceId;
import io.smallrye.mutiny.Multi;
import io.smallrye.mutiny.Uni;

public interface ContextService {

    Uni<Device> getDevice(DeviceId deviceId);

    Multi<DeviceEvent> getDeviceEvents();
}
